### A free/open-source library for quantitative finance

Public Member Functions
TreeLattice1D< Impl > Class Template Reference
Lattice methods

One-dimensional tree-based lattice. More...

`#include <ql/methods/lattices/lattice1d.hpp>`

Inheritance diagram for TreeLattice1D< Impl >:
[legend]

List of all members.

## Public Member Functions

| TreeLattice1D (const TimeGrid &timeGrid, Size n)
Disposable< Array > | grid (Time t) const
Real | underlying (Size i, Size index) const

## Detailed Description

### template<class Impl>
class QuantLib::TreeLattice1D< Impl >

One-dimensional tree-based lattice.

Derived classes must implement the following interface:

            Real underlying(Size i, Size index) const;